import matplotlib.pyplot as plt
import numpy as np

from figure import latexify

latexify()

plt.figure()
plt.clf()

# See results_mptcp_asym_specific.db, results_quic_go_specific.db and results_mp_asym_specific_cond.db
mptcp_means, mptcp_std = (8678.028, 8587.771), (15.1693244444, 60.2561777778)
mpquic_means, mpquic_std = (8558.761425, 8517.809667), (8.75070392, 32.8710393469)
mfquic_means, mfquic_std = (8501.993, 1540.59), (1.5807555555556, 83.3687022222)

ind = np.arange(len(mpquic_means))  # the x locations for the groups
width = 0.225  # the width of the bars

fig, ax = plt.subplots()

rects0 = ax.bar(ind - 1.05 * width, mptcp_means, width, yerr=mptcp_std,
                color='#9d9d9d', label='MPTCP')
rects1 = ax.bar(ind, mpquic_means, width, yerr=mpquic_std,
                color='#998ec3', label='MPQUIC')
rects2 = ax.bar(ind + 1.05 * width, mfquic_means, width, yerr=mfquic_std,
                color='#f1a340', label='MFQUIC')

plt.ylim(ymin=0, ymax=12000)
ax.set_xticks(ind)
ax.set_xticklabels(('One Path', 'Two Paths'))
plt.ylabel("Download\nCompletion Time (ms)")
plt.grid()
plt.legend(loc="upper left", fontsize=8.5, ncol=2)
plt.tight_layout()
plt.savefig("mpiquic_specific.pgf")